Multivariate Pattern Analysis in Python

# mvpa2.support.nibabel.surf.generate_bar

`mvpa2.support.nibabel.surf.``generate_bar`(start, stop, radius, poly=10)

  Generates a bar-like surface

  Parameters:

  start: np.ndarray

  > 3-elemtent vector indicating top part of the bar

  stop: np.ndarray

  > 3-elemtent vector indicating bottom side of the bar

  radius: float

  > radius of the bar

  poly: int

  > the top and bottom part will be a regular polygon.

  Returns:

  bar: surf.Surface

  > A surface with poly*2+2 vertices and poly*4 faces